Page MenuHomePhabricator

measuring acceptance rate
Open, Needs TriagePublic5 Estimated Story Points

Description

Problem:
We want to measure how many of our suggested references ended up in Wikidata in order to better understand the success rate of the work we did and if more support is needed. We also want to understand which proposed references users reject.

Proposed solution is some raw / ugly php script that dumps the following statistics from the wikidatagame api database:

  • total references
  • count of rejected references
  • count of accepted reference

We asked Lydia: it should be plain text

Also a script (or the same one) that produces a dump of rejected references:

Acceptance criteria:

  • Should display live data
  • Should be php script(s) hosted on toolforge

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 27 2020, 10:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tarrow updated the task description. (Show Details)Apr 30 2020, 1:28 PM
Tarrow set the point value for this task to 5.
Tarrow updated the task description. (Show Details)May 25 2020, 11:30 AM
ItamarWMDE moved this task from To do to Doing on the Wikidata - Reference Hunt - Sprint 6 board.

Patch up for review at PR #62.

@Lydia_Pintscher You can validate by going to https://tools.wmflabs.org/wd-ref-island/stats.php. Ping me if you get a 404, I'll fix it then. Also, in contiuation to our discussion this morning, it proved to be much simpler to not format the item names and values, as requested, but I will see in the scope of T253552 if there is a better way to do it.

In addition, as a followup to the restructuring done in this task, I'd like to restructure the wikidata_game folder in the following way:

  • Move all shell and database scripts to a scripts folder
  • Move Github hooks files to a hooks folder

\o/ Looking good from my side.